com.fasterxml.jackson.databind.deser

## Class SettableAnyProperty.MapFieldAnyProperty

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.SettableAnyProperty
  - - com.fasterxml.jackson.databind.deser.SettableAnyProperty.MapFieldAnyProperty

All Implemented Interfaces:
  Serializable

Enclosing class:
  SettableAnyProperty

    protected static class SettableAnyProperty.MapFieldAnyProperty
    extends SettableAnyProperty
    implements Serializable

Since:
  2.14
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.deser.SettableAnyProperty

`SettableAnyProperty.JsonNodeFieldAnyProperty, SettableAnyProperty.JsonNodeParameterAnyProperty, SettableAnyProperty.MapFieldAnyProperty, SettableAnyProperty.MapParameterAnyProperty, SettableAnyProperty.MethodAnyProperty`

### Field Summary

Fields
`protected ValueInstantiator` `_valueInstantiator`

### Fields inherited from class com.fasterxml.jackson.databind.deser.SettableAnyProperty

`_keyDeserializer, _property, _setter, _setterIsField, _type, _valueDeserializer, _valueTypeDeserializer`

### Constructor Summary

Constructors
Constructor and Description
`MapFieldAnyProperty(BeanProperty property, AnnotatedMember field, JavaType valueType, KeyDeserializer keyDeser, JsonDeserializer<Object> valueDeser, TypeDeserializer typeDeser, ValueInstantiator inst)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Map<Object,Object>` `_createAndSetMap(DeserializationContext ctxt, AnnotatedField field, Object instance, Object propName)`
`protected void` `_set(Object instance, Object propName, Object value)`
`SettableAnyProperty` `withValueDeserializer(JsonDeserializer<Object> deser)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.SettableAnyProperty

`_throwAsIOE, constructForJsonNodeField, constructForJsonNodeParameter, constructForMapField, constructForMapParameter, constructForMethod, createParameterObject, deserialize, deserializeAndSet, fixAccess, getParameterIndex, getProperty, getPropertyName, getType, hasValueDeserializer, set, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _valueInstantiator

    protected final ValueInstantiator _valueInstantiator

### Constructor Detail

#### MapFieldAnyProperty

    public MapFieldAnyProperty(BeanProperty property,
                               AnnotatedMember field,
                               JavaType valueType,
                               KeyDeserializer keyDeser,
                               JsonDeserializer<Object> valueDeser,
                               TypeDeserializer typeDeser,
                               ValueInstantiator inst)

### Method Detail

#### withValueDeserializer

    public SettableAnyProperty withValueDeserializer(JsonDeserializer<Object> deser)

Specified by:
  `withValueDeserializer` in class `SettableAnyProperty`

#### _set

    protected void _set(Object instance,
                        Object propName,
                        Object value)
                 throws Exception

Specified by:
  `_set` in class `SettableAnyProperty`
Throws:
  `Exception`

#### _createAndSetMap

    protected Map<Object,Object> _createAndSetMap(DeserializationContext ctxt,
                                                  AnnotatedField field,
                                                  Object instance,
                                                  Object propName)
                                           throws IOException

Throws:
  `IOException`